import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import { getRoleFromUrl } from "../../../utils/getRoleFromUrl";

export const slaughterGetKillhouseStewardsService = createAsyncThunk(
  "SLAUGHTER_GET_KILLHOUSE_STEWARDS_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("steward/", {
      params: {
        kill_house_key: d.kill_house_key,
        date: d.date,
        role: getRoleFromUrl(),
      },
    });
    dispatch(LOADING_END());
    return { data, status };
  }
);
